#ifndef _kchartWIZARDSELECTDATAFORMATPAGE_H
#define _kchartWIZARDSELECTDATAFORMATPAGE_H


#include "kchart_params.h"

class TQLineEdit;
class TQRadioButton;
class TQCheckBox;
class TQButtonGroup;
class TQPushButton;


namespace KChart
{

class KChartPart;

class KChartWizardSelectDataFormatPage : public TQWidget
{
  Q_OBJECT
  
public:
  KChartWizardSelectDataFormatPage( TQWidget* parent, KChartPart* chart );

  TQString  dataArea() const;
  void     setDataArea( const TQString &area );

public slots:
  void apply();

private:
  KChartPart   *m_chart;
  
  TQLineEdit    *m_dataArea;
  TQRadioButton *m_rowMajor;
  TQRadioButton *m_colMajor;
  TQCheckBox    *m_firstRowAsLabel;
  TQCheckBox    *m_firstColAsLabel;
};

}  //KChart namespace

#endif
